namespace eval ccupressure {
}

proc stdConfig::ccupressure {ccu scale} {
  controller syncedprot

  obj CCUPRESSURE rd 
  prop ccu $ccu
  prop scale $scale
  prop read ccupressure::read
  kids gas_pressure {
  }
}

proc ccupressure::read {} {
  if {[hval /pccu/fav] == 0} {
    _[sct ccu] updatescript /[sct ccu]/f "ccupressure::update [sct] [sct scale]"
    pccu fav 1
  }
  return idle
}

proc ccupressure::update {path scale value} {
  hupdate $path [expr $value * $scale]
  catch {
    hdelprop $path geterror
  }
}
